summaryrefslogtreecommitdiff
path: root/dev-libs/tntnet/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2021-02-17 10:35:54 +0000
committerV3n3RiX <venerix@redcorelinux.org>2021-02-17 10:35:54 +0000
commit463397cf1e064185110fe57c568d73f99a06f5d1 (patch)
tree9aa75eefc5154eaf0e3c33658b830fc54dc68052 /dev-libs/tntnet/files
parentc8d60dada2ec8eb48b2d2b290cd6683ccec40e39 (diff)
gentoo resync : 17.02.2021
Diffstat (limited to 'dev-libs/tntnet/files')
-rw-r--r--dev-libs/tntnet/files/tntnet-3.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev-libs/tntnet/files/tntnet-3.initd b/dev-libs/tntnet/files/tntnet-3.initd
new file mode 100644
index 000000000000..b5c0f6307039
--- /dev/null
+++ b/dev-libs/tntnet/files/tntnet-3.initd
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+PIDFILE="/var/run/tntnet.pid"
+
+depend() {
+ use net
+}
+
+start() {
+ ebegin "Starting tntnet"
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec /usr/bin/tntnet
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping tntnet"
+ start-stop-daemon --stop --pidfile $PIDFILE --exec /usr/bin/tntnet
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading tntnet configuration"
+ start-stop-daemon --pidfile $PIDFILE --signal HUP --exec /usr/bin/tntnet
+ eend $?
+}